Subject: Re: [RTG-DIR] [EXTERNAL] Re: [Rfced-future] RTG-DIR Last Call review of draft-rsalz-2028bis-05

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 1 Mar 2022 16:35:42 +0000

Eliot,
Lots of thanks for your response to my review.
Unfortunately, the draft that I have reviewed<https://datatracker.ietf.org/doc/html/draft-rsalz-2028bis-05> does not contain Section 3.2.1, does not mention “continuous consultations” and only mentions RSAB once (in Section 3.5) in a different context.

And in any case the role of Contributors in the IETF Standards Process is not, AFAIK, related to consultations.
Rather, they are REQUIRED to report any known and undeclared IPR (or explicitly confirm lack thereof) during IRP Calls set up by the WG Chairs  at wo important stages of the process:

  *   Adoption of the draft by a WG  as a WG document
  *   The WG Last Call.
They are also prevented from being selected as the Area Directorate reviewers of the documents that list them as Contributors (at least in the Routing Area Directorate).

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

From: Eliot Lear <[email-masked]>
Sent: Monday, February 28, 2022 10:02 PM
To: Alexander Vainshtein <[email-masked]>; [email-masked]; Lars Eggert <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: [EXTERNAL] Re: [Rfced-future] RTG-DIR Last Call review of draft-rsalz-2028bis-05

Hi Sasha,
On 28.02.22 16:00, Alexander Vainshtein wrote:

Hello,

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir<http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir>

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.

Document: draft-rsalz-2028bis-05
Reviewer: Alexander (|”Sasha”) Vainshtein
Review Date: 28-Feb-22
IETF LC End Date: 07-Mar-22
Intended Status: Nest Current Practice

Summary:

I have some minor concerns about this document that I think should be resolved before publication.
Comments:
The draft describes entities involved in the IETF standards process. It is easy to read.
To the best of my understanding its purpose is alignment with the current structure of the Internet Society and its affiliated organizations (IETF, IANA, RFC Production center (nee RFC Editor) etc.  The previous document describing these entities has been published as RFC 2028 in 1996.
The author of the draft and I have exchanged a few emails regarding my concerns. We did not reach the agreement, but in any case I would like to than the author for responsiveness and cooperation.

Major Issues: None found

Minor Issues:

These days it is quite common in the IETF process to differentiate between document Authors and Contributors, especially when  many persons have been actively involved with development of the technical aspects of the document.  The number of Authors is usually limited to no more than 5, and their names appear on the title page of the document, while Contributors (if any) are only listed in a dedicated section within the document.
At the same time the Contributors have a well-defined role in the process, e.g. they must report about any non-disclosed IPR related to the document (or lack of any such IPR) both during adoption of the document as a WG document and also during the WG Last Call.

The draft mentioned Editors and Authors of the document (and explains that these terms are interchangeable), but it does not mention Contributors at all.

I have raised this issue with the author of the draft, and IMHO we have “agreed to disagree” on this point.

I think you are talking about Section 3.2.1, which in part reads:

   This process is intended to be one of continuous consultation.  RSAB

   members should consult with their constituent stakeholders (e.g.,

   authors, editors, tool developers, and consumers of RFCs) on an

   ongoing basis, so that when the time comes to consider the approval

   of a proposal, there should be no surprises.

I don't think you should worry about whether contributors are listed at this time.  The IESG in particular tends to cast a wide net on such consultations.  But if Lars thinks that won't be the case here, we should consider adding the word “contributors” above, as I don't think it hurts anyone to do so.

Eliot

Notice: This e-mail together with any attachments may contain information of Ribbon Communications Inc. and its Affiliates that is confidential and/or proprietary for the sole use of the intended recipient. Any review, disclosure, reliance or distribution by others or forwarding without express permission is strictly prohibited. If you are not the intended recipient, please notify the sender immediately and then delete all copies, including any attachments.

---

From: Eliot Lear <[email-masked]>
Date: Tue, 1 Mar 2022 18:06:53 +0100

Yes you're right.  My apologies.

Eliot

On 01.03.22 17:35, Alexander Vainshtein wrote:
> Unfortunately, the draft that I have reviewed 
> <https://datatracker.ietf.org/doc/html/draft-rsalz-2028bis-05> does 
> not contain Section 3.2.1, does not mention “continuous consultations” 
> and only mentions RSAB once (in Section 3.5) in a different context.
>
> Rather, they are REQUIRED to report any known and undeclared IPR (or 
> explicitly confirm lack thereof) during IRP Calls set up by the WG 
> Chairs  at wo important stages of the process:
>
> They are also prevented from being selected as the Area Directorate 
> reviewers of the documents that list them as Contributors (at least in 
> the Routing Area Directorate).
>
> Regards,
>
> Sasha
>
> Office: +972-39266302
>
> Cell:      +972-549266302
>
> *From:* Eliot Lear <[email-masked]>
> *Sent:* Monday, February 28, 2022 10:02 PM
> *To:* Alexander Vainshtein <[email-masked]>; 
> [email-masked]; Lars Eggert <[email-masked]>
> *Cc:* [email-masked]; [email-masked]; 
> [email-masked]
> *Subject:* [EXTERNAL] Re: [Rfced-future] RTG-DIR Last Call review of 
> draft-rsalz-2028bis-05
>
> Hi Sasha,
>
>     I have been selected as the Routing Directorate reviewer for this
>     draft. The Routing Directorate seeks to review all routing or
>     routing-related drafts as they pass through IETF last call and
>     IESG review, and sometimes on special request. The purpose of the
>     review is to provide assistance to the Routing ADs. For more
>     information about the Routing Directorate, please see
>     ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir
>     <http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir>
>
>     Although these comments are primarily for the use of the Routing
>     ADs, it would be helpful if you could consider them along with any
>     other IETF Last Call comments that you receive, and strive to
>     resolve them through discussion or by updating the draft.
>
>     *Summary:*
>     *Comments**:*
>     To the best of my understanding its purpose is alignment with the
>     current structure of the Internet Society and its affiliated
>     organizations (IETF, IANA, RFC Production center (nee RFC Editor)
>     etc.  The previous document describing these entities has been
>     published as RFC 2028 in 1996.
>
>     The author of the draft and I have exchanged a few emails
>     regarding my concerns. We did not reach the agreement, but in any
>     case I would like to than the author for responsiveness and
>     cooperation.
>
>     *Major Issues*: None found
>
>     *Minor Issues*:
>
>     These days it is quite common in the IETF process to differentiate
>     between document Authors and Contributors, especially when  many
>     persons have been actively involved with development of the
>     technical aspects of the document.  The number of Authors is
>     usually limited to no more than 5, and their names appear on the
>     title page of the document, while Contributors (if any) are only
>     listed in a dedicated section within the document.
>
>     At the same time the Contributors have a well-defined role in the
>     process, e.g. they must report about any non-disclosed IPR related
>     to the document (or lack of any such IPR) both during adoption of
>     the document as a WG document and also during the WG Last Call.
>
>     The draft mentioned Editors and Authors of the document (and
>     explains that these terms are interchangeable), but it does not
>     mention Contributors at all.
>
> I don't think you should worry about whether contributors are listed 
> at this time.  The IESG in particular tends to cast a wide net on such 
> consultations.  But if Lars thinks that won't be the case here, we 
> should consider adding the word “contributors” above, as I don't think 
> it hurts anyone to do so.
>
> Eliot
>
>
> Notice: This e-mail together with any attachments may contain 
> information of Ribbon Communications Inc. and its Affiliates that is 
> confidential and/or proprietary for the sole use of the intended 
> recipient. Any review, disclosure, reliance or distribution by others 
> or forwarding without express permission is strictly prohibited. If 
> you are not the intended recipient, please notify the sender 
> immediately and then delete all copies, including any attachments.
>

---

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 1 Mar 2022 18:29:27 +0000

Eliot,
No problem at all😉

Get Outlook for Android<https://aka.ms/AAb9ysg>

________________________________
From: Eliot Lear <[email-masked]>
Sent: Tuesday, March 1, 2022, 19:07
To: Alexander Vainshtein
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]; Lars Eggert
Subject: Re: [Rfced-future] [EXTERNAL] Re: RTG-DIR Last Call review of draft-rsalz-2028bis-05

Eliot

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]<mailto:[email-masked]>

From: Eliot Lear <[email-masked]><mailto:[email-masked]>
Sent: Monday, February 28, 2022 10:02 PM
To: Alexander Vainshtein <[email-masked]><mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Lars Eggert <[email-masked]><mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: [EXTERNAL] Re: [Rfced-future] RTG-DIR Last Call review of draft-rsalz-2028bis-05

Hi Sasha,

Hello,

Summary:

Major Issues: None found

Minor Issues:

Eliot